# Commands that run every game tick

# Code checks
execute @e[type=cf:marker,tag=code] ~ ~ ~ function code/checkbuttons
execute @s ~ ~ ~ detect 235 100 -14 stone_button 9 function code/check

execute @e[type=fireball] ~ ~ ~ execute @e[type=cf:rocket_raider,r=2] ~ ~ ~ event entity @s cf:attack
execute @e[type=cf:laser] ~ ~ ~ execute @e[type=cf:healprobe,r=2] ~ ~ ~ event entity @s cf:attack
execute @e[type=cf:laser] ~ ~ ~ execute @e[type=cf:mechbeard,r=5] ~ ~ ~ function entity/mechbeard/heal

execute @e[type=cf:purple_pirate,tag=!triedparrot] ~ ~ ~ function entity/purple_pirate/randomparrot

execute @e[type=cf:turret,x=46,y=126,z=-264,dx=2,dy=2,dz=2] ~ ~ ~ event entity @s cf:despawn

# Area dialogue triggers
# Area 0
execute @s[tag=!trigdisembark] ~ ~ ~ execute @p[x=170,y=90,z=-52,dx=2,dy=2,dz=2,m=!c] ~ ~ ~ tag @e[tag=game] add trigdisembark

# Area 1
execute @s[tag=!triga1t1] ~ ~ ~ execute @p[x=257,y=82,z=278,dx=3,dy=3,dz=3,m=!c] ~ ~ ~ tag @e[tag=game] add triga1t1
execute @s[tag=!triga1t2] ~ ~ ~ execute @p[x=279,y=77,z=366,dx=3,dy=3,dz=3,m=!c] ~ ~ ~ tag @e[tag=game] add triga1t2
execute @s[tag=!triga1t2] ~ ~ ~ execute @p[x=274,y=77,z=408,dx=3,dy=3,dz=3,m=!c] ~ ~ ~ tag @e[tag=game] add triga1t2

# Area 2
execute @s[tag=!triga2t1] ~ ~ ~ execute @p[x=18,y=110,z=142,dx=3,dy=3,dz=8,m=!c] ~ ~ ~ tag @e[tag=game] add triga2t1
execute @s[tag=!triga2t2] ~ ~ ~ execute @p[x=-107,y=96,z=144,dx=4,dy=3,dz=4,m=!c] ~ ~ ~ tag @e[tag=game] add triga2t2

# Area 3
execute @s[tag=!triga3t1] ~ ~ ~ execute @p[x=41,y=149,z=-279,dx=10,dy=3,dz=7,m=!c] ~ ~ ~ tag @e[tag=game] add triga3t1
execute @s[tag=!triga3t2] ~ ~ ~ execute @p[x=38,y=174,z=-308,dx=4,dy=3,dz=4,m=!c] ~ ~ ~ tag @e[tag=game] add triga3t2

# Area 4
execute @s[tag=!triga4t1] ~ ~ ~ execute @p[x=314,y=112,z=-199,dx=4,dy=3,dz=4,m=!c] ~ ~ ~ tag @e[tag=game] add triga4t1
execute @s[tag=!triga4t2] ~ ~ ~ execute @p[x=295,y=95,z=-306,dx=7,dy=3,dz=7,m=!c] ~ ~ ~ tag @e[tag=game] add triga4t2
execute @s[tag=!triga4t3] ~ ~ ~ execute @p[x=339,y=95,z=-305,dx=6,dy=3,dz=6,m=!c] ~ ~ ~ tag @e[tag=game] add triga4t3
execute @s[tag=!triga4t4] ~ ~ ~ execute @p[x=374,y=115,z=-316,dx=4,dy=3,dz=4,m=!c] ~ ~ ~ tag @e[tag=game] add triga4t4
execute @s[tag=!triga4t5] ~ ~ ~ execute @p[x=388,y=107,z=-397,dx=4,dy=3,dz=4,m=!c] ~ ~ ~ tag @e[tag=game] add triga4t5

execute @a[hasitem={item=minecraft:netherite_axe,location=slot.weapon.mainhand}] ~ ~ ~ effect @s haste 1 0 true
execute @a[hasitem={item=minecraft:netherite_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ effect @s haste 1 0 true
execute @a[hasitem={item=minecraft:netherite_shovel,location=slot.weapon.mainhand}] ~ ~ ~ effect @s haste 1 0 true

# Boss music
execute @s[tag=mbresetcheck] ~ ~ ~ scoreboard players remove @a[scores={music_tick=1..}] music_tick 1
execute @s[tag=mbresetcheck,tag=!donebphase2] ~ ~ ~ execute @a[scores={music_tick=0}] ~ ~ ~ playsound music.boss1 @s ~ ~ ~ 1 1 1
execute @s[tag=mbresetcheck,tag=donebphase2] ~ ~ ~ execute @a[scores={music_tick=0}] ~ ~ ~ playsound music.boss2 @s ~ ~ ~ 1 1 1
execute @s[tag=mbresetcheck,tag=!donebphase2] ~ ~ ~ execute @a[scores={music_tick=0}] ~ ~ ~ scoreboard players set @s music_tick 1800
execute @s[tag=mbresetcheck,tag=donebphase2] ~ ~ ~ execute @a[scores={music_tick=0}] ~ ~ ~ scoreboard players set @s music_tick 1600