# Commands run once every second

# Mechbeard fight reset check
scoreboard players set @s[tag=mbresetcheck] mbreset 1
execute @a[x=199,y=47,z=-61,dx=106,dy=27,dz=94] ~ ~ ~ scoreboard players set @e[tag=game] mbreset 0
execute @s[scores={mbreset=1}] ~ ~ ~ function entity/mechbeard/reset

# Mob updates
scoreboard players set @e[type=cf:mechaparrot] nearpirate 0
execute @e[type=cf:red_pirate] ~ ~ ~ scoreboard players set @e[type=cf:mechaparrot,r=2,c=1] nearpirate 1
execute @e[type=cf:purple_pirate] ~ ~ ~ scoreboard players set @e[type=cf:mechaparrot,r=2,c=1] nearpirate 1
execute @e[type=cf:yellow_pirate] ~ ~ ~ scoreboard players set @e[type=cf:mechaparrot,r=2,c=1] nearpirate 1
execute @e[type=cf:mechbeard] ~ ~ ~ scoreboard players set @e[type=cf:mechaparrot,r=2,c=1] nearpirate 1
execute @e[type=cf:mechaparrot,tag=!nearpirate,scores={nearpirate=1}] ~ ~ ~ tag @s add nearpirate
execute @e[type=cf:mechaparrot,tag=nearpirate,scores={nearpirate=0}] ~ ~ ~ tag @s remove nearpirate

# Map updates
execute @e[type=cf:crew1,tag=main,tag=!updated] ~ ~ ~ function update/crew1
execute @e[type=cf:crew4,tag=main,tag=!updated] ~ ~ ~ function update/crew4
execute @e[type=cf:electronics_table,tag=!tut,tag=!updated2] ^ ^ ^ function update/electronics_table

# Billboards
execute @e[tag=teleporter,tag=active,tag=tp1] ~ ~ ~ particle cf:billboard_area1 228 99.5 10
execute @e[tag=teleporter,tag=active,tag=tp2] ~ ~ ~ particle cf:billboard_area2 211 99.5 3
execute @e[tag=teleporter,tag=active,tag=tp3] ~ ~ ~ particle cf:billboard_area3 211 99.5 -31
execute @e[tag=teleporter,tag=active,tag=tp4] ~ ~ ~ particle cf:billboard_area4 228 99.5 -38

# Some extra scavenger hunt hints
execute @s[tag=!scavdlg0,tag=triga2t2] ~ ~ ~ execute @p[x=-106,y=119,z=155,dx=4,dy=3,dz=4] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§b[Flua] §fIs this the spot? Geez, can you believe them? Digging down isn't that scary."}]}
execute @s[tag=!scavdlg0,tag=triga2t2] ~ ~ ~ execute @p[x=-106,y=119,z=155,dx=4,dy=3,dz=4] ~ ~ ~ playsound a2_scavenger.1_flua @a ~ ~ ~ 1 1 1
execute @s[tag=!scavdlg0,tag=triga2t2] ~ ~ ~ execute @p[x=-106,y=119,z=155,dx=4,dy=3,dz=4] ~ ~ ~ tag @e[tag=game] add scavdlg0
execute @s[tag=!scavdlg4] ~ ~ ~ detect -114 96 147 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -114 96 146 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -114 96 145 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -115 96 145 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -116 96 145 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -116 96 146 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -116 96 147 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -115 96 147 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4] ~ ~ ~ detect -115 96 146 air 0 tag @e[tag=game] add doscavdlg4
execute @s[tag=!scavdlg4,tag=doscavdlg4] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7[Council Leader] §fStop that! What are you doing?!"}]}
execute @s[tag=!scavdlg4,tag=doscavdlg4] ~ ~ ~ playsound a2_scavenger.5_pirates @a ~ ~ ~ 1 1 1
execute @s[tag=!scavdlg4,tag=doscavdlg4] ~ ~ ~ tag @s add scavdlg4
execute @s[tag=donea2t2,tag=!code2found,scores={dlgnum=0}] ~ ~ ~ titleraw @a actionbar {"rawtext":[{"text":"§3[!] Find where the picture was taken from [!]"}]}